SQLite: All attributes are displayed as NULL in attribute panel
Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23205

Description

I have a case with a SQLite dataset containing two layers. A line layer and a polygon layer. Both layers have attributes with values. I have

opened both layers in QGIS.

- When performing a identify features on features in the two layers the result looks fine. 

- When opening the Attribute Panel on either of the layers all values are NULL.

I would expect the Attribute Panel to display the correct attribute values of all the features and not just a collection of NULL's.

I produced this in MASTER (3d72837) using the attached SQLite test dataset. I have also reproduced this in 2.14.1.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 04:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

Areas.sqlite 4.21 MB 2016-07-13 Casper Børgesen
